Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sdb.cmd
Class ModStore

    java.lang.Object
      arq.cmdline.ModBase
          sdb.cmd.ModStore

All Implemented Interfaces:
  arq.cmdline.ArgModule, arq.cmdline.ArgModuleGeneral

    public class ModStore

extends arq.cmdline.ModBase

Construction of a store from a store description, possibly modified by command line arguments.

Author:
  Andy Seaborne

Constructor Summary
`ModStore()`

Method Summary
`void` | `closedown()`
`SDBConnection` | `getConnection()`
`com.hp.hpl.jena.query.Dataset` | `getDataset()`
`Store` | `getStore()`
`StoreDesc` | `getStoreDesc()`
`boolean` | `hasStore()`
`boolean` | `isConnected()`
`boolean` | `isHSQL()`
`void` | `processArgs(arq.cmdline.CmdArgModule cmdLine)`
`void` | `registerWith(arq.cmdline.CmdGeneral cmdLine)`
`void` | `setDbName(String dbName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModStore

    public ModStore()

Method Detail

### registerWith

    public void registerWith(arq.cmdline.CmdGeneral cmdLine)

### processArgs

    public void processArgs(arq.cmdline.CmdArgModule cmdLine)

### getStore

    public Store getStore()

### hasStore

    public boolean hasStore()

### getStoreDesc

    public StoreDesc getStoreDesc()

### setDbName

    public void setDbName(String dbName)

### getDataset

    public com.hp.hpl.jena.query.Dataset getDataset()

### isConnected

    public boolean isConnected()

### getConnection

    public SDBConnection getConnection()

### isHSQL

    public boolean isHSQL()

### closedown

    public void closedown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.